AOZ Studio Beta - Bug #377

A simple duplicate folder into Ressouces freezes my PC.
05/28/2020 03:11 PM - Qlivier Bori

Status: Resolved Start date: 05/28/2020
Priority: Normal Due date:

Assignee: AOZ Studio Team % Done: 0%
Category: Estimated time: 0:00 hour
Target version:

Affected version: 0.9.9.1

Description

EN:

Symptom: While compiling a simple code really not bad, the compiler returns no errors but slows down the PC and often | have to do
a RESET. And the program only displays a black screen or gets stuck at the splash screen.

Test Version: All since 9.9 and 9.9.1

Cause: After installing and re-installing all versions because it seemed too obvious as a bug, | thought it was coming from my install
but the bug also exists on my mac.

All the basic instructions for sound makes my code crash. A simple Volume 50 or sam play. But this instruction compiled well in the
examples provided.

Solution and resolution: In the resources folder there was twice a filesystem/application folder (see .azip file provided).
| removed the folder and restructured the resources folder properly and it finally compiled :-)
FR:

Symptéme: En compilant un simple code vraiment pas méchant, le compilateur renvois aucune erreur mais fait ralentir le PC et
souvent je suis obligé de faire un RESET. Et le programme n'affiche qu'un écran noire ou se bloque au splashscreen.

Version Tester: Toutes depuis la 9.9 et 9.9.1

Cause: Aprés avoir installer et ré-installer toutes les versions car cela me semblait trop flagrant comme bug, que j'ai penser que ce
la venait de mon install mais le bug existe aussi sur mon mac.

Toutes les instructions de base pour le son fait planter mon code. un simple Volume 50 ou encore sam play. Mais c'est instruction se
compilait bien dans les exemples fournit.

Solution et résolution: Dans le dossier ressources il y avait deux fois un dossier filesystem/application (voir fichier .azip fournit).

je l'ai enlever le dossier et restructurer convenablement le dossier ressouces et cela compile enfin :-)

History

#1 - 09/19/2020 01:51 PM - Brian Flanagan

- Status changed from New to Resolved

| tested your example in the current version Beta RC2.
The program works. It appears this has been fixed.

If you find it works for you as well, please close this ticket.

Files

filesystem_bug.aozip 21.6 MB 05/28/2020 Olivier Bori
